function hex_md5(s)
{
   return binl2hex(core_md5(str2binl(s),s.length * chrsz));
}
function b64_md5(s)
{
   return binl2b64(core_md5(str2binl(s),s.length * chrsz));
}
function str_md5(s)
{
   return binl2str(core_md5(str2binl(s),s.length * chrsz));
}
function hex_hmac_md5(key, data)
{
   return binl2hex(core_hmac_md5(key,data));
}
function b64_hmac_md5(key, data)
{
   return binl2b64(core_hmac_md5(key,data));
}
function str_hmac_md5(key, data)
{
   return binl2str(core_hmac_md5(key,data));
}
function md5_vm_test()
{
   return hex_md5("abc") == "900150983cd24fb0d6963f7d28e17f72";
}
function core_md5(x, len)
{
   x[len >> 5] |= 128 << len % 32;
   x[(len + 64 >>> 9 << 4) + 14] = len;
   var a = 1732584193;
   var _loc3_ = -271733879;
   var _loc2_ = -1732584194;
   var _loc1_ = 271733878;
   var i = 0;
   while(i < x.length)
   {
      var olda = a;
      var oldb = _loc3_;
      var oldc = _loc2_;
      var oldd = _loc1_;
      a = md5_ff(a,_loc3_,_loc2_,_loc1_,x[i + 0],7,-680876936);
      _loc1_ = md5_ff(_loc1_,a,_loc3_,_loc2_,x[i + 1],12,-389564586);
      _loc2_ = md5_ff(_loc2_,_loc1_,a,_loc3_,x[i + 2],17,606105819);
      _loc3_ = md5_ff(_loc3_,_loc2_,_loc1_,a,x[i + 3],22,-1044525330);
      a = md5_ff(a,_loc3_,_loc2_,_loc1_,x[i + 4],7,-176418897);
      _loc1_ = md5_ff(_loc1_,a,_loc3_,_loc2_,x[i + 5],12,1200080426);
      _loc2_ = md5_ff(_loc2_,_loc1_,a,_loc3_,x[i + 6],17,-1473231341);
      _loc3_ = md5_ff(_loc3_,_loc2_,_loc1_,a,x[i + 7],22,-45705983);
      a = md5_ff(a,_loc3_,_loc2_,_loc1_,x[i + 8],7,1770035416);
      _loc1_ = md5_ff(_loc1_,a,_loc3_,_loc2_,x[i + 9],12,-1958414417);
      _loc2_ = md5_ff(_loc2_,_loc1_,a,_loc3_,x[i + 10],17,-42063);
      _loc3_ = md5_ff(_loc3_,_loc2_,_loc1_,a,x[i + 11],22,-1990404162);
      a = md5_ff(a,_loc3_,_loc2_,_loc1_,x[i + 12],7,1804603682);
      _loc1_ = md5_ff(_loc1_,a,_loc3_,_loc2_,x[i + 13],12,-40341101);
      _loc2_ = md5_ff(_loc2_,_loc1_,a,_loc3_,x[i + 14],17,-1502002290);
      _loc3_ = md5_ff(_loc3_,_loc2_,_loc1_,a,x[i + 15],22,1236535329);
      a = md5_gg(a,_loc3_,_loc2_,_loc1_,x[i + 1],5,-165796510);
      _loc1_ = md5_gg(_loc1_,a,_loc3_,_loc2_,x[i + 6],9,-1069501632);
      _loc2_ = md5_gg(_loc2_,_loc1_,a,_loc3_,x[i + 11],14,643717713);
      _loc3_ = md5_gg(_loc3_,_loc2_,_loc1_,a,x[i + 0],20,-373897302);
      a = md5_gg(a,_loc3_,_loc2_,_loc1_,x[i + 5],5,-701558691);
      _loc1_ = md5_gg(_loc1_,a,_loc3_,_loc2_,x[i + 10],9,38016083);
      _loc2_ = md5_gg(_loc2_,_loc1_,a,_loc3_,x[i + 15],14,-660478335);
      _loc3_ = md5_gg(_loc3_,_loc2_,_loc1_,a,x[i + 4],20,-405537848);
      a = md5_gg(a,_loc3_,_loc2_,_loc1_,x[i + 9],5,568446438);
      _loc1_ = md5_gg(_loc1_,a,_loc3_,_loc2_,x[i + 14],9,-1019803690);
      _loc2_ = md5_gg(_loc2_,_loc1_,a,_loc3_,x[i + 3],14,-187363961);
      _loc3_ = md5_gg(_loc3_,_loc2_,_loc1_,a,x[i + 8],20,1163531501);
      a = md5_gg(a,_loc3_,_loc2_,_loc1_,x[i + 13],5,-1444681467);
      _loc1_ = md5_gg(_loc1_,a,_loc3_,_loc2_,x[i + 2],9,-51403784);
      _loc2_ = md5_gg(_loc2_,_loc1_,a,_loc3_,x[i + 7],14,1735328473);
      _loc3_ = md5_gg(_loc3_,_loc2_,_loc1_,a,x[i + 12],20,-1926607734);
      a = md5_hh(a,_loc3_,_loc2_,_loc1_,x[i + 5],4,-378558);
      _loc1_ = md5_hh(_loc1_,a,_loc3_,_loc2_,x[i + 8],11,-2022574463);
      _loc2_ = md5_hh(_loc2_,_loc1_,a,_loc3_,x[i + 11],16,1839030562);
      _loc3_ = md5_hh(_loc3_,_loc2_,_loc1_,a,x[i + 14],23,-35309556);
      a = md5_hh(a,_loc3_,_loc2_,_loc1_,x[i + 1],4,-1530992060);
      _loc1_ = md5_hh(_loc1_,a,_loc3_,_loc2_,x[i + 4],11,1272893353);
      _loc2_ = md5_hh(_loc2_,_loc1_,a,_loc3_,x[i + 7],16,-155497632);
      _loc3_ = md5_hh(_loc3_,_loc2_,_loc1_,a,x[i + 10],23,-1094730640);
      a = md5_hh(a,_loc3_,_loc2_,_loc1_,x[i + 13],4,681279174);
      _loc1_ = md5_hh(_loc1_,a,_loc3_,_loc2_,x[i + 0],11,-358537222);
      _loc2_ = md5_hh(_loc2_,_loc1_,a,_loc3_,x[i + 3],16,-722521979);
      _loc3_ = md5_hh(_loc3_,_loc2_,_loc1_,a,x[i + 6],23,76029189);
      a = md5_hh(a,_loc3_,_loc2_,_loc1_,x[i + 9],4,-640364487);
      _loc1_ = md5_hh(_loc1_,a,_loc3_,_loc2_,x[i + 12],11,-421815835);
      _loc2_ = md5_hh(_loc2_,_loc1_,a,_loc3_,x[i + 15],16,530742520);
      _loc3_ = md5_hh(_loc3_,_loc2_,_loc1_,a,x[i + 2],23,-995338651);
      a = md5_ii(a,_loc3_,_loc2_,_loc1_,x[i + 0],6,-198630844);
      _loc1_ = md5_ii(_loc1_,a,_loc3_,_loc2_,x[i + 7],10,1126891415);
      _loc2_ = md5_ii(_loc2_,_loc1_,a,_loc3_,x[i + 14],15,-1416354905);
      _loc3_ = md5_ii(_loc3_,_loc2_,_loc1_,a,x[i + 5],21,-57434055);
      a = md5_ii(a,_loc3_,_loc2_,_loc1_,x[i + 12],6,1700485571);
      _loc1_ = md5_ii(_loc1_,a,_loc3_,_loc2_,x[i + 3],10,-1894986606);
      _loc2_ = md5_ii(_loc2_,_loc1_,a,_loc3_,x[i + 10],15,-1051523);
      _loc3_ = md5_ii(_loc3_,_loc2_,_loc1_,a,x[i + 1],21,-2054922799);
      a = md5_ii(a,_loc3_,_loc2_,_loc1_,x[i + 8],6,1873313359);
      _loc1_ = md5_ii(_loc1_,a,_loc3_,_loc2_,x[i + 15],10,-30611744);
      _loc2_ = md5_ii(_loc2_,_loc1_,a,_loc3_,x[i + 6],15,-1560198380);
      _loc3_ = md5_ii(_loc3_,_loc2_,_loc1_,a,x[i + 13],21,1309151649);
      a = md5_ii(a,_loc3_,_loc2_,_loc1_,x[i + 4],6,-145523070);
      _loc1_ = md5_ii(_loc1_,a,_loc3_,_loc2_,x[i + 11],10,-1120210379);
      _loc2_ = md5_ii(_loc2_,_loc1_,a,_loc3_,x[i + 2],15,718787259);
      _loc3_ = md5_ii(_loc3_,_loc2_,_loc1_,a,x[i + 9],21,-343485551);
      a = safe_add(a,olda);
      _loc3_ = safe_add(_loc3_,oldb);
      _loc2_ = safe_add(_loc2_,oldc);
      _loc1_ = safe_add(_loc1_,oldd);
      i += 16;
   }
   return Array(a,_loc3_,_loc2_,_loc1_);
}
function md5_cmn(q, a, b, x, s, t)
{
   return safe_add(bit_rol(safe_add(safe_add(a,q),safe_add(x,t)),s),b);
}
function md5_ff(a, b, c, d, x, s, t)
{
   var _loc1_ = b;
   return md5_cmn(_loc1_ & c | (~_loc1_) & d,a,_loc1_,x,s,t);
}
function md5_gg(a, b, c, d, x, s, t)
{
   return md5_cmn(b & d | c & (~d),a,b,x,s,t);
}
function md5_hh(a, b, c, d, x, s, t)
{
   return md5_cmn(b ^ c ^ d,a,b,x,s,t);
}
function md5_ii(a, b, c, d, x, s, t)
{
   return md5_cmn(c ^ (b | ~d),a,b,x,s,t);
}
function core_hmac_md5(key, data)
{
   var _loc2_ = str2binl(key);
   if(_loc2_.length > 16)
   {
      _loc2_ = core_md5(_loc2_,key.length * chrsz);
   }
   var _loc3_ = Array(16);
   var opad = Array(16);
   var _loc1_ = 0;
   while(_loc1_ < 16)
   {
      _loc3_[_loc1_] = _loc2_[_loc1_] ^ 909522486;
      opad[_loc1_] = _loc2_[_loc1_] ^ 1549556828;
      _loc1_ = _loc1_ + 1;
   }
   var hash = core_md5(_loc3_.concat(str2binl(data)),512 + data.length * chrsz);
   return core_md5(opad.concat(hash),640);
}
function safe_add(x, y)
{
   var _loc1_ = (x & 65535) + (y & 65535);
   var _loc2_ = (x >> 16) + (y >> 16) + (_loc1_ >> 16);
   return _loc2_ << 16 | _loc1_ & 65535;
}
function bit_rol(num, cnt)
{
   return num << cnt | num >>> 32 - cnt;
}
function str2binl(str)
{
   var _loc2_ = str;
   var _loc3_ = Array();
   var mask = (1 << chrsz) - 1;
   var _loc1_ = 0;
   while(_loc1_ < _loc2_.length * chrsz)
   {
      _loc3_[_loc1_ >> 5] |= (_loc2_.charCodeAt(_loc1_ / chrsz) & mask) << _loc1_ % 32;
      _loc1_ += chrsz;
   }
   return _loc3_;
}
function binl2str(bin)
{
   var _loc2_ = bin;
   var _loc3_ = "";
   var mask = (1 << chrsz) - 1;
   var _loc1_ = 0;
   while(_loc1_ < _loc2_.length * 32)
   {
      _loc3_ += String.fromCharCode(_loc2_[_loc1_ >> 5] >>> _loc1_ % 32 & mask);
      _loc1_ += chrsz;
   }
   return _loc3_;
}
function binl2hex(binarray)
{
   var _loc2_ = binarray;
   var _loc3_ = !hexcase ? "0123456789abcdef" : "0123456789ABCDEF";
   var str = "";
   var _loc1_ = 0;
   while(_loc1_ < _loc2_.length * 4)
   {
      str += _loc3_.charAt(_loc2_[_loc1_ >> 2] >> _loc1_ % 4 * 8 + 4 & 15) + _loc3_.charAt(_loc2_[_loc1_ >> 2] >> _loc1_ % 4 * 8 & 15);
      _loc1_ = _loc1_ + 1;
   }
   return str;
}
function binl2b64(binarray)
{
   var _loc3_ = binarray;
   var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
   var str = "";
   var _loc2_ = 0;
   while(_loc2_ < _loc3_.length * 4)
   {
      var triplet = (_loc3_[_loc2_ >> 2] >> 8 * (_loc2_ % 4) & 255) << 16 | (_loc3_[_loc2_ + 1 >> 2] >> 8 * ((_loc2_ + 1) % 4) & 255) << 8 | _loc3_[_loc2_ + 2 >> 2] >> 8 * ((_loc2_ + 2) % 4) & 255;
      var _loc1_ = 0;
      while(_loc1_ < 4)
      {
         if(_loc2_ * 8 + _loc1_ * 6 > _loc3_.length * 32)
         {
            str += b64pad;
         }
         else
         {
            str += tab.charAt(triplet >> 6 * (3 - _loc1_) & 63);
         }
         _loc1_ = _loc1_ + 1;
      }
      _loc2_ += 3;
   }
   return str;
}
_root.back_width = 525;
_root.scr_width = 425;
_root.pause_clip_depth = 10000;
_root.cursor_depth = 10010;
_root.level_time = 40;
_root.miss_snd = new Sound();
_root.miss_snd.attachSound("miss.wav");
_root.timer_snd = new Sound();
_root.timer_snd.attachSound("TimeOut.wav");
_root.shot_snd = new Sound();
_root.shot_snd.attachSound("pistol_shot.wav");
_root.balloon_snd = new Sound();
_root.balloon_snd.attachSound("balloon_pop.wav");
_root.rollover_snd = new Sound();
_root.rollover_snd.attachSound("button_rollover.wav");
_root.rollout_snd = new Sound();
_root.rollout_snd.attachSound("button_rollout.wav");
_root.bulls_eye_snd = new Sound();
_root.bulls_eye_snd.attachSound("bulls_eye.wav");
_root.got_goal_snd = new Sound();
_root.got_goal_snd.attachSound("got_goal.wav");
_root.voc_excellent = new Sound();
_root.voc_excellent.attachSound("voc_excellent.wav");
_root.voc_game_over = new Sound();
_root.voc_game_over.attachSound("voc_game_over.wav");
_root.voc_rapid_fire = new Sound();
_root.voc_rapid_fire.attachSound("voc_rapid_fire.wav");
_root.voc_ready = new Sound();
_root.voc_ready.attachSound("voc_ready.wav");
_root.voc_go = new Sound();
_root.voc_go.attachSound("voc_go.wav");
_root.track_snd = new Sound();
_root.track_snd.attachSound("track.wav");
_root.track_snd.start(0,9999999);
_root.InitGame = function()
{
   var _loc1_ = _root;
   _loc1_.score = 0;
   _loc1_.level_num = 1;
   _loc1_.miss = 5;
};
var hexcase = 0;
var b64pad = "";
var chrsz = 8;
